import { Routes } from '@angular/router';

export const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.routes').then((m) => m.routes),
  },
   // 向量：文本特征向量
   {
      path: "text/embed",
      loadComponent: () => import('../modules/text/page-text-embed/page-text-embed.component').then(m => m.PageTextEmbedComponent),
      runGuardsAndResolvers: "always",
  },
  // 向量：面部特征向量
  {
      path: "face/feat68",
      loadComponent: () => import('../modules/face/page-feat68/page-feat68.component').then(m => m.PageFeat68Component),
      runGuardsAndResolvers: "always",
  },
   // 聊天模块
   {
      path: "chat/session/role/:roleId",
      loadComponent: () => import('./test-chat-panel/test-chat-panel.component').then(m => m.TestChatPanelComponent),
      runGuardsAndResolvers: "always",
  },
  {
      path: "chat/session/chat/:chatId",
      loadComponent: () => import('./test-chat-panel/test-chat-panel.component').then(m => m.TestChatPanelComponent),
      runGuardsAndResolvers: "always",
  },
  {
      path: 'chat/pro/chat/:chatId',
      redirectTo: '/chat/session/chat/:chatId',
      pathMatch: 'full'
    },
];
